
TYPO3.Flow - Bug # 40661

Bug # 36988 (Resolved): PropertyMapper chokes on Objects that are already converted

Status: Resolved Priority: Must have
Author: Marc Neuhaus Category: Property
Created: 2012-09-05 Assigned To: Marc Neuhaus
Updated: 2013-04-02 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.1.0
Subject: The PropertyMapper can still choke on compositeTypes like collection<entity>
Description

The PropertyMapper can still choke on already converted objects if the targetType is a composite Type like Collection<Domain\Entity>

Subtasks:
Bug # 44215: The PropertyMapper can still choke on compositeTypes like collection<entity> Resolved

Associated revisions
Revision 4168539b - 2012-09-13 09:56 - Marc Neuhaus

[BUGFIX] Parse target type before comparing the instance with it

The PropertyMapper chokes on already converted Objects if the targetType
is a compositeType like Collection<Entity>.

Change-Id: I31eedfbc198e1ec6ee15c6702e36065202d232da
Resolves: #40661
Releases: 1.1, 1.2

Revision 4318dbd4 - 2012-09-14 12:00 - Marc Neuhaus

[BUGFIX] Parse target type before comparing the instance with it

The PropertyMapper chokes on already converted Objects if the targetType
is a compositeType like Collection<Entity>.

Change-Id: I31eedfbc198e1ec6ee15c6702e36065202d232da
Resolves: #40661
Releases: 1.1, 1.2

History
#1 - 2012-09-05 20:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14389
#2 - 2012-09-05 20:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14389

#3 - 2012-09-05 20:17 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14389

#4 - 2012-09-05 20:20 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14389

#5 - 2012-09-13 09:30 - Karsten Dambekalns
- Category set to Property
- Assigned To set to Marc Neuhaus

#6 - 2012-09-13 09:39 - Karsten Dambekalns
- Target version set to 1.1.1
- Affected Flow version changed from Git 1.2 (master) to FLOW3 1.1.0

#7 - 2012-09-13 09:53 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14389

#8 - 2012-09-13 09:56 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14389

#9 - 2012-09-14 12:00 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/14590

#10 - 2012-09-14 12:35 - Marc Neuhaus
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4168539bb817cf17d0a17bff562c4d2694ada3e6.
